Processar lote de clientes

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/batch/client

Processa um lote de registros de clientes em uma única requisição para otimizar operações em massa.

application/json

Body Required

obj

  • requestId string Required
  • client object Required
    Hide client attributes Show client attributes object
    • displayName string
    • channels array[string]
    • phones array[string]
    • emails array[string]
    • cpfCnpj string
    • birthDate string
    • active boolean
    • externalCode string
    • attributes array[object]
      Hide attributes attributes Show attributes attributes object
      • description string
      • value string
    • agentIds array[integer(int64)]
    • channelsIdentifiers object
      Hide channelsIdentifiers attributes Show channelsIdentifiers attributes object
      • instagram array[string]
      • facebook array[string]
      • msteams array[string]
      • slack array[string]

Responses

  • 200 application/json

    OK

  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/batch/client
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/batch/client' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '[{"requestId":"string","client":{"displayName":"string","channels":["string"],"phones":["string"],"emails":["string"],"cpfCnpj":"string","birthDate":"string","active":true,"externalCode":"string","attributes":[{"description":"string","value":"string"}],"agentIds":[42],"channelsIdentifiers":{"instagram":["string"],"facebook":["string"],"msteams":["string"],"slack":["string"]}}}]'
Request examples
[
  {
    "requestId": "string",
    "client": {
      "displayName": "string",
      "channels": [
        "string"
      ],
      "phones": [
        "string"
      ],
      "emails": [
        "string"
      ],
      "cpfCnpj": "string",
      "birthDate": "string",
      "active": true,
      "externalCode": "string",
      "attributes": [
        {
          "description": "string",
          "value": "string"
        }
      ],
      "agentIds": [
        42
      ],
      "channelsIdentifiers": {
        "instagram": [
          "string"
        ],
        "facebook": [
          "string"
        ],
        "msteams": [
          "string"
        ],
        "slack": [
          "string"
        ]
      }
    }
  }
]
Response examples (200)
{}